Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1442157

Summary: Review Request: nodejs-center-align - Center-align the text in a string
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-28 13:57:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1387531    

Description Jared Smith 2017-04-13 16:57:41 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-center-align/nodejs-center-align.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-center-align/nodejs-center-align-0.1.3-1.fc27.src.rpm
Description: Center-align the text in a string
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-27 09:17:54 UTC
Tests fail:

+ /usr/bin/mocha -R spec
  center-align

    ✓ should center align the strings in an array of strings

    1) should center align a string to the expected width

    2) should center align a string to the given width

    ✓ should center align the lines in a string
  2 passing (14ms)
  2 failing
  1) center-align should center align a string to the expected width:
      AssertionError [ERR_ASSERTION]: [ '     Lorem ipsum dolor sit amet,',
  '        consectetur adipiscing',
  'elit, sed do eiusmod tempor incididunt',
  '        deepEqual [ '      Lorem ipsum dolor sit amet,',
  '         consectetur adipiscing',
  ' elit, sed do eiusmod tempor incididunt',
  '    
      + expected - actual
       [
      +  "      Lorem ipsum dolor sit amet,"
      +  "         consectetur adipiscing"
      +  " elit, sed do eiusmod tempor incididunt"
      +  "          ut labore et dolore"
      +  "     magna aliqua. Ut enim ad minim"
      +  "              veniam, quis"
      -  "     Lorem ipsum dolor sit amet,"
      -  "        consectetur adipiscing"
      -  "elit, sed do eiusmod tempor incididunt"
      -  "         ut labore et dolore"
      -  "    magna aliqua. Ut enim ad minim"
      -  "             veniam, quis"
       ]
      
      at Context.<anonymous> (test.js:38:12)
  2) center-align should center align a string to the given width:
      AssertionError [ERR_ASSERTION]: 'foo' deepEqual '   foo   '
      + expected - actual
      +   foo   
      -foo
      
      at Context.<anonymous> (test.js:58:12)

Comment 2 Jared Smith 2017-09-27 15:08:12 UTC
I'm not sure why you're having problems with this one -- it's running fine in Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=22102048

Comment 3 Robert-André Mauchin 2017-09-27 15:14:45 UTC
Ok then, if Koji uis okay, package accepted.

Comment 4 Jared Smith 2017-09-27 20:04:09 UTC
Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1741

Comment 5 Gwyn Ciesla 2017-09-27 21:26:39 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-center-align

Comment 6 Jared Smith 2017-09-28 13:57:08 UTC
In rawhide, closing bug